#pragma once
#include "global.h"



class BaseStation {
public:
  std::string to_string();
  Psc::JSON to_Json();
  std::optional<SSR::CPR::Position> get_pos();
  void set_msg(const SSR::HULC_Status_Message& msg);
  std::function<void (const SSR::HULC_Status_Message&)> handle_when_updated = nullptr;
protected:
  std::mutex mtx;
  SSR::HULC_Status_Message hulc{};
};
class Global;



